---
apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
  name: vault-issuer
spec:
  vault:
    path: pki/sign/lcm
    server: http://vault.vault.svc.service.local:8200
    auth:
      kubernetes:
        role: cert
        mountPath: /v1/auth/kubernetes/service
        secretRef:
          name: cert-issuer-token
          key: token
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: ingress-cert
spec:
  commonName: service.kanod.home.arpa
  dnsNames:
    - service.kanod.home.arpa
    - '*.service.kanod.home.arpa'
  ipAddresses:
  - 192.168.133.12
  issuerRef:
    kind: Issuer
    name: vault-issuer
  secretName: ingress-external-cert
